Responder 
 
Avaliação do Tópico:
  • 0 Votos - 0 Média
  • 1
  • 2
  • 3
  • 4
  • 5
Falha no make install ao compilar o PHP 5.3.10
05/04/2012, 08:34 (Resposta editada pela última vez em: 05/04/2012 08:35 por anoob.)
Resposta: #1
Falha no make install ao compilar o PHP 5.3.10
Tenho um software legado escrito em PHP que roda localmente na minha máquina com Debian Testing. Infelizmente ele não funciona mais com o PHP 5.4, presente nos repositórios. Para contornar este problema tentei compilar o PHP.

Instalei o Apache pelo aptitude e compilei o PHP seguindo os passos apresentados neste link. Tudo funciona até o make install:

Código:
# make install
Installing PHP SAPI module:       apache2handler
/usr/share/apache2/build/instdso.sh SH_LIBTOOL='/usr/share/apr-1.0/build/libtool' libphp5.la /usr/lib/apache2/modules
/usr/share/apr-1.0/build/libtool --mode=install cp libphp5.la /usr/lib/apache2/modules/
libtool: install: cp .libs/libphp5.lai /usr/lib/apache2/modules/libphp5.la
libtool: install: cp .libs/libphp5.a /usr/lib/apache2/modules/libphp5.a
libtool: install: chmod 644 /usr/lib/apache2/modules/libphp5.a
libtool: install: ranlib /usr/lib/apache2/modules/libphp5.a
libtool: install: warning: remember to run `libtool --finish /usr/src/php-5.3.10/libs'
Warning!  dlname not found in /usr/lib/apache2/modules/libphp5.la.
Assuming installing a .so rather than a libtool archive.
chmod 644 /usr/lib/apache2/modules/libphp5.so
chmod: impossível acessar "/usr/lib/apache2/modules/libphp5.so": Arquivo ou diretório não encontrado
apxs:Error: Command failed with rc=65536
.
make: ** [install-sapi] Erro 1

Como eu poderia resolver este problema? Toda sugestão é bem vinda.
Valeu.

www.pequenotux.blogspot.com
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
Responder 


Ir ao Fórum:


Usuários visualizando este tópico: 1 Visitantes

Entre em Contato | Fórum Debian | Voltar ao Topo | Voltar ao Conteúdo | Modo Leve (Arquivo) | Feeds RSS